function [W] = t_W(bits)

// W = t_W(bits)
//  Transformacion Walsh-Hadamard. Por defecto, bits = 1 (t_H).

if (argn(2) == 0), bits = 1; end

d = 2^bits;
W = zeros(d);

if (d == 2)
    W = t_H();
else
    W = kron(t_H(),t_W(bits-1));
end

endfunction
