function [Y] = t_Y(bits)

// Y = t_Y(bits)
//  Transformacion Y. Por defecto, bits = 1.

if (argn(2) == 0), bits = 1; end

d = 2^bits;
Y = zeros(d,d);

if (d == 2)
    Y = [0 -%i; %i 0];
else
    Y = kron(t_Y(),t_Y(bits-1));
end

endfunction
