function [Z] = t_Z(bits)

// Z = t_Z(bits)
//  Transformacion Z. Por defecto, bits = 1.

if (argn(2) == 0), bits = 1; end

d = 2^bits;
Z = zeros(d,d);

if (d == 2)
    Z = [1 0; 0 -1];
else
    Z = kron(t_Z(),t_Z(bits-1));
end

endfunction
