function [Ug] = U_grover(f,n)

// Ug = U_grover(f,n)
//  Construye la transformacion unitaria de cambio de signo de la amplitud.
//  n debe ser tal que N = 2^n
//  Dado que b no es un estado puro, no se puede utilizar el constructor
//  U_f.

Ug = zeros(2^n);
for i=0:2^n-1
    Ug(i+1,i+1) = (-1)^feval(i,f);
end

endfunction
