function [b] = alg_deutsch_jozsa(f,n,args_f)

// b = alg_deutsch_jozsa(f)
//  Determina si f es balanceada o no.
//
//  ejemplos: 
//   alg_deutsch_jozsa(f_id,1)         % balanceada (en este caso)
//   alg_deutsch_jozsa(f_cte,1)        % no balanceada
//   alg_deutsch_jozsa(f_and,1,0)      % no balanceada
//   alg_deutsch_jozsa(f_and,1,1)      % balanceada

hay_args = %f;
if (argn(2) == 3), hay_args = %t; end

if (hay_args)
    Uf = U_f(f,n,1,args_f);
else
    Uf = U_f(f,n,1);
end

tWn = t_W(n);
tWn1 = kron(t_H(),tWn);

b = medicion(kron(tWn,t_I())*Uf*tWn1*e(1,n+1));

endfunction
