function [B] = ec_Bell(e)

// B = ec_Bell(e)
//  Estado de Bell, correspondiente a e. Utilizando el circuito de la pag. 17.

if (length(e) ~= 4), error('e debe ser un estado de la base B2'); end

B = t_C12()*kron(t_H(),t_I())*e;

endfunction
