function [X] = t_X(bits)

// X = t_X(bits)
//  Transformacion X. Por defecto, bits = 1.

if (argn(2) == 0), bits = 1; end

d = 2^bits;
X = zeros(d,d);

for i=d:-1:1
    X(d-i+1,i) = 1;
end

endfunction
